From: Roland Mas <lolando@debian.org>
Date: Wed, 19 Feb 2025 12:00:55 +0100
Subject: Skip two tests on 32-bit arches

---
 extra_data/tests/test_bad_trains.py | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/extra_data/tests/test_bad_trains.py b/extra_data/tests/test_bad_trains.py
index 5a5acc8..832ef6e 100644
--- a/extra_data/tests/test_bad_trains.py
+++ b/extra_data/tests/test_bad_trains.py
@@ -1,4 +1,6 @@
 import os.path as osp
+import platform
+
 from tempfile import TemporaryDirectory
 
 import h5py
@@ -191,6 +193,7 @@ def test_get_train_keydata(agipd_file_tid_low):
     kd = f['SPB_DET_AGIPD1M-1/DET/7CH0:xtdf', 'image.pulseId']
     assert kd.train_from_id(9000)[0] == 9000
 
+@pytest.mark.skipif(platform.architecture()[0] != '64bit', reason="Requires 64-bit architecture")
 def test_components_array(agipd_file_flag0):
     f = H5File(agipd_file_flag0, inc_suspect_trains=False)
     agipd = AGIPD1M(f, modules=[0])
@@ -198,6 +201,7 @@ def test_components_array(agipd_file_flag0):
     assert arr.shape == (1, 485, 1, 2, 512, 128)
     assert arr.dims == ('module', 'train', 'pulse', 'data_gain', 'slow_scan', 'fast_scan')
 
+@pytest.mark.skipif(platform.architecture()[0] != '64bit', reason="Requires 64-bit architecture")
 def test_components_array_dup(agipd_file_tid_high):
     f = H5File(agipd_file_tid_high, inc_suspect_trains=False)
     agipd = AGIPD1M(f, modules=[0])
